/*
 * Copyright (C) 2000-2004 by ETH Zurich
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY ETH ZURICH AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ETH ZURICH
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
 * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * For additional information see http://www.btnode.ethz.ch
 *
 */

#define MAX_DATA_SIZE 255 // maximum data size sender can send

struct Buff{
    u_char size;
    u_char receivedCRCL;
    u_char receivedCRCH;
    u_int  calculatedCRC;
    u_long timestamp;
    u_char data[MAX_DATA_SIZE];
    u_char rssi[MAX_DATA_SIZE];
};

extern u_long ccFreq;
extern u_char ccSopLength;
extern u_char ccSopFirst;
extern u_char ccSopSecond;
extern u_char ccHeaderSize; // equals packet size for fixed size packets, size of header otherwise
extern u_char ccPacketSize; // derived from header if not-fixed size
extern u_char ccCrcLength;
extern u_int  ccCrcPoly;
extern u_char ccCrcPos;
extern u_char ccFixedSize;
extern u_char ccLengthPos;
extern u_char ccLengthOffset;

int sniffer_receive(u_short *src, u_short *dst, u_char *data, 
                    u_short *data_length, u_long timeout);
void sniffer_start(void);
void sniffer_stop(void);
int sniffer_init(void);

